/*
 *  Unlod.java
 *
 *  Copyright (C) 2000 Sil Veritas (sil_the_follower_of_dark@hotmail.com)
 */

/*  This file is part of Unlod.
 *
 *  Unlod is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Unlod is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Unlod; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*  Unlod
 *
 *  Copyright (C) 2000 Sil Veritas. All Rights Reserved. This work is
 *  distributed under the W3C(R) Software License [1] in the hope that it
 *  will be useful, but WITHOUT ANY WARRANTY; without even the implied
 *  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  [1] http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
 */

package com.mmbreakfast.unlod;
import com.mmbreakfast.unlod.app.*;


public class Unlod {

   // GIF89a image
   private static final byte[] ICON = new byte[] {
       0x47,  0x49,  0x46,  0x38,  0x39,  0x61,  0x0F,  0x00,
       0x0F,  0x00, -0x09,  0x00,  0x00,  0x00,  0x00,  0x00,
      -0x01, -0x01, -0x01, -0x68,  0x05,  0x0D, -0x63,  0x13,
       0x1D, -0x67,  0x0E,  0x1D, -0x66,  0x0F,  0x1D, -0x69,
       0x0B,  0x1D, -0x5C,  0x2B,  0x3D, -0x67,  0x15,  0x2D,
      -0x5E,  0x28,  0x3D, -0x60,  0x25,  0x3D, -0x58,  0x38,
       0x4D, -0x55,  0x43,  0x5E, -0x56,  0x43,  0x5E, -0x6B,
       0x17,  0x3D, -0x6A,  0x18,  0x3D, -0x50,  0x52,  0x6E,
      -0x61,  0x34,  0x5E, -0x63,  0x32,  0x5E, -0x58,  0x4F,
       0x7E, -0x57,  0x50,  0x7E, -0x71,  0x26,  0x6E, -0x6A,
       0x36,  0x7E, -0x75,  0x28,  0x7E, -0x79,  0x23,  0x7E,
      -0x3C, -0x6D, -0x41, -0x7C,  0x1E,  0x7E, -0x36, -0x5E,
      -0x31, -0x63,  0x57, -0x51, -0x52,  0x75, -0x41, -0x55,
       0x71, -0x41, -0x58,  0x6D, -0x41, -0x57,  0x6F, -0x41,
      -0x5F,  0x64, -0x41, -0x66,  0x5B, -0x41, -0x76,  0x45,
      -0x41, -0x57,  0x77, -0x31,  0x7D,  0x34, -0x41, -0x7D,
       0x3C, -0x41,  0x77,  0x2D, -0x41, -0x71,  0x53, -0x31,
      -0x3B, -0x3D, -0x39, -0x02, -0x03, -0x01, -0x74,  0x56,
      -0x21, -0x3E, -0x41, -0x39, -0x0A, -0x0E, -0x01,  0x50,
       0x39, -0x71,  0x7A,  0x72, -0x70, -0x21, -0x2D, -0x01,
      -0x51, -0x5A, -0x39, -0x4F, -0x57, -0x39, -0x19, -0x22,
      -0x01, -0x4B, -0x52, -0x39, -0x48, -0x4E, -0x39, -0x10,
      -0x16, -0x01, -0x41, -0x44, -0x39, -0x06, -0x08, -0x01,
       0x67,  0x35, -0x01,  0x69,  0x38, -0x01,  0x70,  0x40,
      -0x01,  0x43,  0x27, -0x6C,  0x73,  0x44, -0x01,  0x40,
       0x26, -0x71,  0x78,  0x4B, -0x01,  0x43,  0x2A, -0x71,
       0x44,  0x2B, -0x71,  0x7A,  0x4D, -0x01,  0x46,  0x2E,
      -0x71,  0x7E,  0x53, -0x01,  0x2F,  0x1F,  0x5E, -0x80,
       0x55, -0x01, -0x80,  0x56, -0x01, -0x7B,  0x5C, -0x01,
       0x4B,  0x34, -0x71,  0x4C,  0x36, -0x71, -0x72,  0x69,
      -0x01, -0x71,  0x6A, -0x01,  0x52,  0x3C, -0x71, -0x6E,
       0x6D, -0x01, -0x6C,  0x6F, -0x01, -0x6B,  0x72, -0x01,
       0x54,  0x40, -0x71, -0x69,  0x75, -0x01, -0x66,  0x79,
      -0x01, -0x64,  0x7B, -0x01, -0x62,  0x7E, -0x01, -0x5F,
      -0x7F, -0x01, -0x5F, -0x7E, -0x01, -0x5E, -0x7C, -0x01,
       0x5B,  0x4A, -0x71, -0x5A, -0x78, -0x01, -0x59, -0x76,
      -0x01, -0x58, -0x76, -0x01,  0x5E,  0x4E, -0x71, -0x57,
      -0x74, -0x01, -0x56, -0x72, -0x01, -0x55, -0x70, -0x01,
       0x61,  0x52, -0x71, -0x51, -0x6B, -0x01, -0x50, -0x6A,
      -0x01, -0x4E, -0x68, -0x01, -0x4D, -0x67, -0x01, -0x4D,
      -0x66, -0x01,  0x65,  0x57, -0x71, -0x4B, -0x64, -0x01,
       0x68,  0x5A, -0x71, -0x46, -0x5E, -0x01, -0x46, -0x5D,
      -0x01, -0x42, -0x58, -0x01,  0x6A,  0x5E, -0x71, -0x40,
      -0x55, -0x01, -0x3F, -0x54, -0x01, -0x3F, -0x53, -0x01,
       0x6D,  0x61, -0x71, -0x3E, -0x52, -0x01, -0x3D, -0x52,
      -0x01,  0x6F,  0x64, -0x71, -0x39, -0x4B, -0x01, -0x38,
      -0x4A, -0x01, -0x37, -0x4A, -0x01, -0x36, -0x48, -0x01,
       0x72,  0x68, -0x71, -0x34, -0x45, -0x01, -0x33, -0x44,
      -0x01, -0x30, -0x41, -0x01,  0x74,  0x6B, -0x71, -0x2F,
      -0x3F, -0x01, -0x2F, -0x3E, -0x01, -0x2E, -0x3D, -0x01,
      -0x2B, -0x39, -0x01, -0x29, -0x37, -0x01, -0x28, -0x36,
      -0x01, -0x28, -0x35, -0x01, -0x27, -0x34, -0x01, -0x25,
      -0x31, -0x01, -0x4B, -0x54, -0x30, -0x21, -0x2C, -0x01,
      -0x52, -0x5B, -0x39, -0x20, -0x2A, -0x01,  0x6B,  0x66,
       0x7A, -0x1F, -0x29, -0x01, -0x50, -0x58, -0x39, -0x1D,
      -0x26, -0x01, -0x4E, -0x55, -0x39, -0x4D, -0x54, -0x39,
      -0x0F, -0x14, -0x01, -0x42, -0x45, -0x39, -0x3F, -0x41,
      -0x39, -0x3C, -0x3D, -0x39,  0x40,  0x27, -0x71,  0x47,
       0x30, -0x71,  0x57,  0x46, -0x71, -0x56, -0x71, -0x01,
       0x63,  0x55, -0x71, -0x48, -0x5E, -0x01, -0x31, -0x40,
      -0x01, -0x2F, -0x3D, -0x01, -0x37, -0x45, -0x0B, -0x2E,
      -0x3C, -0x01, -0x2B, -0x38, -0x01, -0x28, -0x34, -0x01,
      -0x25, -0x30, -0x01, -0x1B, -0x23, -0x01, -0x4C, -0x52,
      -0x39, -0x18, -0x1F, -0x01, -0x4A, -0x4F, -0x39, -0x16,
      -0x1C, -0x01, -0x15, -0x1B, -0x01, -0x14, -0x1A, -0x01,
      -0x47, -0x4B, -0x39, -0x0B, -0x0E, -0x01, -0x4B, -0x59,
      -0x14,  0x76,  0x6F, -0x71, -0x10, -0x14, -0x01, -0x45,
      -0x48, -0x39, -0x7B,  0x74, -0x2A, -0x6D, -0x7B, -0x2A,
      -0x3E, -0x47, -0x14, -0x25, -0x2B, -0x0B,  0x6D,  0x6A,
       0x7A, -0x74,  0x7D, -0x2A, -0x56, -0x61, -0x1E, -0x39,
      -0x40, -0x14, -0x06, -0x07, -0x01,  0x60,  0x51, -0x47,
       0x65,  0x58, -0x47,  0x75,  0x68, -0x3E,  0x76,  0x6A,
      -0x3E, -0x2F, -0x33, -0x14,  0x52,  0x46, -0x53,  0x69,
       0x5E, -0x47,  0x5B,  0x53, -0x53,  0x33,  0x2C, -0x71,
       0x35,  0x2F, -0x71,  0x55,  0x50, -0x5D,  0x5E,  0x5A,
      -0x5D,  0x23,  0x1E, -0x7D,  0x24,  0x1F, -0x7D,  0x27,
       0x23, -0x7D,  0x37,  0x33, -0x71,  0x3A,  0x37, -0x71,
       0x49,  0x46, -0x67,  0x58,  0x54, -0x5D,  0x5B,  0x58,
      -0x5D,  0x18,  0x15,  0x7A,  0x1B,  0x19,  0x7A,  0x3D,
       0x3B, -0x71,  0x00,  0x00,  0x66, -0x3A, -0x3A, -0x39,
      -0x35, -0x35, -0x35, -0x39, -0x39, -0x39, -0x5E, -0x5E,
      -0x5E,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
       0x00,  0x00,  0x00,  0x00,  0x00,  0x2C,  0x00,  0x00,
       0x00,  0x00,  0x0F,  0x00,  0x0F,  0x00,  0x00,  0x08,
      -0x01,  0x00, -0x75, -0x08, -0x58,  0x14, -0x3C, -0x6E,
      -0x6E,  0x26, -0x69, -0x46,  0x64,  0x4A,  0x13,  0x27,
       0x0F, -0x55,  0x45,  0x3C,  0x72, -0x18, -0x28, -0x0F,
      -0x1D, -0x38,  0x0A,  0x29,  0x58, -0x40, -0x60,  0x61,
       0x53, -0x19, -0x31,  0x21,  0x20,  0x27,  0x34, -0x0C,
       0x10,  0x52, -0x1F,  0x01, -0x7E,  0x10,  0x1F,  0x14,
       0x24,  0x68, -0x40,  0x29, -0x2F, -0x70,  0x12,  0x18,
       0x7E,  0x10,  0x31, -0x50,  0x44, -0x7C,  0x04,  0x10,
       0x13, -0x24,  0x30, -0x38,  0x10,  0x23, -0x77, -0x77,
       0x0B,  0x46, -0x70,  0x08,  0x78, -0x3E,  0x21, -0x7E,
       0x07,  0x0A,  0x72,  0x16,  0x6C,  0x68, -0x1C,  0x62,
      -0x7C,  0x01,  0x07,  0x28,  0x2C,  0x10,  0x28,  0x40,
      -0x5E, -0x3D, -0x80,  0x03,  0x10,  0x08,  0x3D, -0x76,
      -0x4E, -0x7C, -0x77,  0x13,  0x28,  0x53, -0x54,  0x7C,
       0x21, -0x5D,  0x06,  0x0E,  0x1E,  0x4F, -0x5F,  0x68,
       0x64, -0x5F,  0x42, -0x5B, -0x36,  0x15,  0x2D, -0x68,
      -0x36, -0x54,  0x79,  0x73, -0x39,  0x4F,  0x21,  0x46,
       0x35, -0x3E,  0x6C, -0x1F, -0x1E,  0x05, -0x74,  0x18,
       0x33,  0x6B, -0x20, -0x28, -0x1F,  0x33,  0x08, -0x2F,
       0x0C,  0x57,  0x67, -0x3A, -0x20, -0x16,  0x45, -0x14,
       0x15,  0x30,  0x5D, -0x31,  0x56,  0x09,  0x53,  0x66,
      -0x15, -0x6C, -0x5C,  0x36, -0x66,  0x72,  0x15,  0x63,
       0x46,  0x2B, -0x68, -0x4F,  0x66, -0x63, -0x6E,  0x39,
      -0x6D,  0x15,  0x69,  0x12, -0x63,  0x39, -0x42,  0x76,
      -0x03, -0x7E,  0x75, -0x54,  0x16, -0x4E,  0x58, -0x35,
      -0x7A, -0x0F,  0x52,  0x45, -0x57, -0x71,  0x1E,  0x3D,
       0x7B,  0x36,  0x01,  0x0A,  0x64,  0x48, -0x6F,  0x28,
       0x53,  0x36,  0x54, -0x1F, -0x80, -0x0A, -0x1E, -0x2D,
       0x27,  0x41, -0x60,  0x0C, -0x3F,  0x70,  0x44,  0x0A,
       0x55, -0x55,  0x16, -0x49,  0x54,  0x44, -0x65,  0x25,
       0x43, -0x3A,  0x23,  0x48, -0x5D,  0x4A, -0x5B,  0x72,
       0x75, -0x7D,  0x45,  0x0A,  0x68, -0x2E, -0x5A,  0x05,
       0x01,  0x04,  0x00,  0x3B};

	public static void main(String[] args) {
        String unlodProperties = "Unlod.properties";
        if (0 < args.length)  unlodProperties = args[0];
        
		UnlodFrame frame = new UnlodFrame(unlodProperties);
		frame.setIconImage(frame.getToolkit().createImage(ICON));
		frame.show();
	}
}