/*
 * Created on Apr 29, 2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package org.gamenet.application.mm8leveleditor.data.mm6.fileFormat;

import java.util.ArrayList;
import java.util.List;

import org.gamenet.application.mm8leveleditor.data.DsftBinSprite;
import org.gamenet.swing.controls.ComparativeTableControl;
import org.gamenet.util.ByteConversions;


public class DsftBinSpriteMM6 implements DsftBinSprite
{
    // Label	Filename	(NEW)	Palette	Scale	Light	Ticks	Facing	X	Y	Alpha	Glow	Center	Flag4	//	Comments

    public static final int DSFT_SPRITE_RECORD_LENGTH = 56;

    protected static final int SET_NAME_OFFSET = 0x00;
    protected static final int SET_NAME_MAXLENGTH = 12;
    
    protected static final int SPRITE_NAME_OFFSET = 12;
    protected static final int SPRITE_NAME_MAXLENGTH = 28;
    
    private static final int UNKNOWN1_OFFSET = 40; // two bytes
    private static final int UNKNOWN2_OFFSET = 43; // one byte
    private static final int UNKNOWN3_OFFSET = 44; // two bytes
    
    private static final int SCALE_OFFSET = 42; // one bytes
    private static final int AMBIENCE_OFFSET = 46; // two bytes
    private static final int PALETTE_OFFSET = 48; // two bytes
    private static final int TICKS_OFFSET = 52; // two bytes
    
    private static final int UNKNOWN4_OFFSET = 50; // two bytes
    
    protected static final int CONTINUATION_OFFSET = 54; // two bytes - 00 if continuation, # of items in this set?
    
    private String spriteName = null;
    private byte data[] = null;
    private long offset = 0;
    
    public DsftBinSpriteMM6()
    {
        super();
    }

    public int initialize(byte[] data, int offset)
    {
        this.offset = offset;
        this.data = new byte[DSFT_SPRITE_RECORD_LENGTH];
        System.arraycopy(data, offset, this.data, 0, DSFT_SPRITE_RECORD_LENGTH);
        offset += DSFT_SPRITE_RECORD_LENGTH;
        
        return offset;
    }

    public int updateData(byte[] newData, int offset)
    {
        System.arraycopy(this.data, 0, newData, offset, DSFT_SPRITE_RECORD_LENGTH);
        offset += DSFT_SPRITE_RECORD_LENGTH;
        
        return offset;
    }

    public boolean hasMoreRecords()
    {
        int continuation = ByteConversions.getShortInByteArrayAtPosition(data, CONTINUATION_OFFSET);

        if ((this.getSetName().length() != 0) && (continuation > 1))  return true;

        return (0 == continuation);
    }
    
    public int getContinuation()
    {
        return ByteConversions.getShortInByteArrayAtPosition(data, CONTINUATION_OFFSET);
    }
    
    public String getSpriteName()
    {
        return ByteConversions.getZeroTerminatedStringInByteArrayAtPositionMaxLength(this.data, SPRITE_NAME_OFFSET, SPRITE_NAME_MAXLENGTH);
    }
    public void setSpriteName(String spriteName)
    {
        ByteConversions.setZeroTerminatedStringInByteArrayAtPositionMaxLength(spriteName, this.data, SPRITE_NAME_OFFSET, SPRITE_NAME_MAXLENGTH);
    }
    
    public String getSetName()
    {
        return ByteConversions.getZeroTerminatedStringInByteArrayAtPositionMaxLength(this.data, SET_NAME_OFFSET, SET_NAME_MAXLENGTH);
    }
    public void setSetName(String setName)
    {
        ByteConversions.setZeroTerminatedStringInByteArrayAtPositionMaxLength(setName, this.data, SET_NAME_OFFSET, SET_NAME_MAXLENGTH);
    }
    
    public byte[] getData()
    {
        return this.data;
    }
    public long getOffset()
    {
        return this.offset;
    }

    public int getRecordSize()
    {
        return getStaticRecordSize();
    }
    
    public static int getStaticRecordSize()
    {
        return DSFT_SPRITE_RECORD_LENGTH;
    }

    // Unknown things to decode

    public static List getOffsetList()
    {
        List offsetList = new ArrayList();
        
        offsetList.add(new ComparativeTableControl.OffsetData(SCALE_OFFSET, 1, ComparativeTableControl.REPRESENTATION_BYTE_DEC, "scale"));
        offsetList.add(new ComparativeTableControl.OffsetData(AMBIENCE_OFFSET, 2, ComparativeTableControl.REPRESENTATION_SHORT_DEC, "ambience"));
        offsetList.add(new ComparativeTableControl.OffsetData(PALETTE_OFFSET, 2, ComparativeTableControl.REPRESENTATION_SHORT_DEC, "palette"));
        offsetList.add(new ComparativeTableControl.OffsetData(TICKS_OFFSET, 2, ComparativeTableControl.REPRESENTATION_SHORT_DEC, "ticks"));
        
        offsetList.add(new ComparativeTableControl.OffsetData(UNKNOWN1_OFFSET, 2, ComparativeTableControl.REPRESENTATION_BYTE_DEC));
        offsetList.add(new ComparativeTableControl.OffsetData(UNKNOWN2_OFFSET, 3, ComparativeTableControl.REPRESENTATION_BYTE_DEC));
        offsetList.add(new ComparativeTableControl.OffsetData(UNKNOWN4_OFFSET, 2, ComparativeTableControl.REPRESENTATION_BYTE_DEC));
         
        return offsetList;
    }
    
}